pstream.h(3)

NAME
pstream.h - Declares all PStreams classes

SYNOPSIS

#include <ios>
#include <streambuf>
#include <istream>
#include <ostream>
#include <string>
#include <vector>
#include <algorithm>
#include <cerrno>
#include <cstddef>
#include <cstdlib>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <signal.h>
#include <fcntl.h>

  Classes

struct redi::pstreams
Common base class providing constants and typenames.
class redi::basic_pstreambuf< CharT, Traits >
Class template for stream buffer.
class redi::pstream_common< CharT, Traits >
Class template for common base class.
class redi::basic_ipstream< CharT, Traits >
Class template for Input PStreams.
class redi::basic_opstream< CharT, Traits >
Class template for Output PStreams.
class redi::basic_pstream< CharT, Traits >
Class template for Bidirectional PStreams.
class redi::basic_rpstream< CharT, Traits >
Class template for Restricted PStreams.

  Namespaces

redi
All PStreams classes are declared in namespace redi.

  Macros

#define PSTREAMS_VERSION 0x0103
The library version.

  Typedefs

typedef basic_pstreambuf< char > redi::pstreambuf
Type definition for common template specialisation.
typedef basic_ipstream< char > redi::ipstream
Type definition for common template specialisation.
typedef basic_opstream< char > redi::opstream
Type definition for common template specialisation.
typedef basic_pstream< char > redi::pstream
Type definition for common template specialisation.
typedef basic_rpstream< char > redi::rpstream
Type definition for common template specialisation.

Detailed Description

Declares all PStreams classes.

Author
    Jonathan Wakely

Defines classes redi::ipstream, redi::opstream, redi::pstream and redi::rpstream.

Author

Generated automatically by Doxygen for PStreams from the source code.